import { GenericCrudService } from '@d8d/shared-crud';
import { DataSource } from 'typeorm';
import { OrderRefundMt } from '../entities/order-refund.mt.entity';

export class OrderRefundMtService extends GenericCrudService<OrderRefundMt> {
  constructor(dataSource: DataSource) {
    super(dataSource, OrderRefundMt, {
      tenantOptions: { enabled: true, tenantIdField: 'tenantId' }
    });
  }
}